#ifndef XAUDIOSTREAMINFO_H
#define XAUDIOSTREAMINFO_H

#include "xasset.h"

class XAudioStreamInfo : public XAsset
{
public:
    explicit XAudioStreamInfo();
    ~XAudioStreamInfo() = default;

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mNumStreams;
    quint8 mChannelCount;
};

#endif // XAUDIOSTREAMINFO_H
